/**
 * 
 */
package com.house365.tags;

import com.house365.tags.beans.DisabledFlag;

/**
 * 失效标识展示标签<br>
 * 失效标识不做失效日期判断了，通过读取数据库status字段确定结果
 * 
 * @author duhui
 * 
 */
public class DisabledFlagViewTag extends AbstractViewTag {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /*
     * (non-Javadoc)
     * @see com.house365.tags.AbstractViewTag#getShowValue()
     */
    @Override
    protected String getShowValue() {
        DisabledFlag disabledFlag = DisabledFlag.getById(value);
        if (null == disabledFlag) {
            return "";
        } else {
            return disabledFlag.getShowName();
        }
    }

}
